﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Arction.WinForms.Charting;
using Arction.WinForms.Charting.SeriesXY;
using Arction.WinForms.Charting.Views.ViewXY;

namespace AL_Grid_plus_line
{
    public partial class FormMain : Form
    {
        private LightningChartUltimate _lcu;
        private PointLineSeries _line;
        private ViewXY _view;

        public FormMain()
        {
            InitializeComponent();
            CreateChart();

            _lcu.BeginUpdate();

            CreateLine();

            double dx = 0.0001, dy = 0.0001;
            _view.XAxes[0].SetRange(50 - dx, 50 + dx);
            _view.YAxes[0].SetRange(50 - dy, 50 + dy);

            _lcu.EndUpdate();
        }

        private void CreateChart()
        {
            _lcu = new LightningChartUltimate();
            _lcu.Dock = DockStyle.Fill;
            _lcu.ColorTheme = ColorTheme.LightGray;
            _lcu.Title.Visible = false;

            _lcu.ActiveView = ActiveView.ViewXY;
            _view = _lcu.ViewXY;
            _view.LegendBox.Visible = false;
            _view.XAxes[0].ValueType = AxisValueType.Number;
            _view.XAxes[0].Title.Visible = false;
            _view.YAxes[0].ValueType = AxisValueType.Number;
            _view.YAxes[0].Title.Visible = false;

            Controls.Add(_lcu);
        }

        void CreateLine()
        {
            _line = new PointLineSeries();
            _line.LineStyle.Color = Color.Red;

            _line.Points = new SeriesPoint[3];
            _line.Points[0].X = 0.0;
            _line.Points[0].Y = 0.0;
            _line.Points[1].X = 50;
            _line.Points[1].Y = 50;
            _line.Points[2].X = 5000;
            _line.Points[2].Y = 5000;

            // with two points, the line will not be shown, even though we know it has to pass through 50,50
            /*
            _line.Points[1].X = 5000;
            _line.Points[1].Y = 5000;
            */

            _view.PointLineSeries.Add(_line);
        }
    }
}
